Debian Bug report logs - #646876
ITP: ruby-paint -- terminal paint library with 256 color and effect support

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: chrysn <chrysn@fsfe.org>

Date: Fri, 28 Oct 2011 01:45:01 UTC

Owned by: chrysn <chrysn@fsfe.org>

Severity: wishlist

Fixed in version ruby-paint/0.8.5-1

Done: chrysn@fsfe.org (Christian M. Amsüss)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#646876; Package wnpp. (Fri, 28 Oct 2011 01:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 28 Oct 2011 01:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libpaint-ruby -- terminal paint library with 256 color and effect support
Date: Fri, 28 Oct 2011 03:43:12 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: chrysn <chrysn@fsfe.org>

* Package name    : libpaint-ruby
  Version         : 0.8.3
  Upstream Author : Jan Lelis <mail@janlelis.de>
* URL             : http://rubygems.org/gems/paint
* License         : MIT
  Programming Lang: Ruby
  Description     : terminal paint library with 256 color and effect support

 The paint library for ruby provides a single method, `Paint.[]`, that produces
 colored output on terminals. It comes with support for 256 color terminals,
 ANSI effects, and allows defining custom shortcuts.

this library is a dependency of lolcat (itp will follow); i have no
other interest in the library itself.

i am not familiar with Ruby as a language, neither with ruby packaging.
my current packaging approach is to just dump the lib/ files into
/usr/lib/ruby/1.8/ (as it is done in libtrollop), but that might not be
best practice. also, i completely ignore the spec/ directory, which
might be needed for online documentation (?; i'm more familiar with
python, where we have dh_python2 and docstrings in the source).

in general, the package is lintian clean. i'm far from confident
everything is packaged the right way, but it works and has nothing fancy
to it that could break anything -- some positive feedback from someone
who can judge the ruby side of it provided, i'd ask for a sponsor.

the packages will be available on debian mentors in a few minutes.
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 646876 blocks 646877 Request was from chrysn <chrysn@fsfe.org> to control@bugs.debian.org. (Fri, 28 Oct 2011 11:01:36 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: ruby-paint -- terminal paint library with 256 color and effect support' from 'ITP: libpaint-ruby -- terminal paint library with 256 color and effect support' Request was from chrysn <chrysn@fsfe.org> to control@bugs.debian.org. (Fri, 28 Oct 2011 12:37:57 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#646876; Package wnpp. (Fri, 28 Oct 2011 12:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to chrysn <chrysn@fsfe.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Oct 2011 12:42:11 GMT) Full text and rfc822 format available.

Message #14 received at 646876@bugs.debian.org (full text, mbox):

From: chrysn <chrysn@fsfe.org>
To: 646876@bugs.debian.org, control@bugs.debian.org
Subject: retitle to ruby-paint and enhanced packaging
Date: Fri, 28 Oct 2011 14:21:38 +0200
[Message part 1 (text/plain, inline)]
retitle 646876 ITP: ruby-paint -- terminal paint library with 256 color and effect support
thank you

according to the ruby packaging instructions[1], i've slightly modified
the packaging to use gem2deb.

instead of manually installing files to ../ruby/1.8/.., this is now done
by the dh --with ruby.

this also means renaming the library package to ruby-paint; the
reference to the old name is kept in the changelog, but there is no
provides etc as it was not published in squeeze.

updated package files are available at mentors[2].

with regard to readiness for sponsoring, nothing really changed -- i'd
still like someone who knows more about ruby packaging to have a look at
it before i'll seek a sponsor. (the insecurity about not shipping spec/
is now reduced as gem2deb would install it if it was important.)

[1] http://wiki.debian.org/Teams/Ruby/Packaging
[2] http://mentors.debian.net/package/ruby-paint

-- 
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 22 Feb 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to chrysn@fsfe.org (Christian M. Amsüss):
You have taken responsibility. (Fri, 12 Apr 2013 10:03:04 GMT) Full text and rfc822 format available.

Notification sent to chrysn <chrysn@fsfe.org>:
Bug acknowledged by developer. (Fri, 12 Apr 2013 10:03:05 GMT) Full text and rfc822 format available.

Message #21 received at 646876-close@bugs.debian.org (full text, mbox):

From: chrysn@fsfe.org (Christian M. Amsüss)
To: 646876-close@bugs.debian.org
Subject: Bug#646876: fixed in ruby-paint 0.8.5-1
Date: Fri, 12 Apr 2013 10:00:09 +0000
Source: ruby-paint
Source-Version: 0.8.5-1

We believe that the bug you reported is fixed in the latest version of
ruby-paint, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646876@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian M. Amsüss <chrysn@fsfe.org> (supplier of updated ruby-paint package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 21 Feb 2013 00:39:32 +0100
Source: ruby-paint
Binary: ruby-paint
Architecture: source all
Version: 0.8.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Christian M. Amsüss <chrysn@fsfe.org>
Description: 
 ruby-paint - terminal paint library with 256 color and effect support
Closes: 646876
Changes: 
 ruby-paint (0.8.5-1) unstable; urgency=low
 .
   * Initial release (Closes: #646876)
Checksums-Sha1: 
 6351dd71700662b176e7e046ded022505af1a8b7 2021 ruby-paint_0.8.5-1.dsc
 a26d641aef22147957bad771c6b3dca86f01fcc3 17917 ruby-paint_0.8.5.orig.tar.gz
 0c221ddb80e4f268b7ec8e6b2c9470f820fd5ce7 2277 ruby-paint_0.8.5-1.debian.tar.gz
 1e3acaa5d9095d4c64e9447a8a2c215500164393 18146 ruby-paint_0.8.5-1_all.deb
Checksums-Sha256: 
 3a9b4d2ad9cd2784c8f67fc3f391ecba0687b40c309b78a59eb72dd2087c850f 2021 ruby-paint_0.8.5-1.dsc
 a465739ac9da91a68424be4ec6f18231100447a34c1bf426f4f8abe7861b2b77 17917 ruby-paint_0.8.5.orig.tar.gz
 61d0b37d62a0563477ad0c2dfc96b145d0b4de1dd1afb58532c049f7694f982a 2277 ruby-paint_0.8.5-1.debian.tar.gz
 10d4bf91ced64d82cf8faff73bd81f141705e3ac4a95d8d74572011dc8ca0b87 18146 ruby-paint_0.8.5-1_all.deb
Files: 
 6faa6d22cba33907e9c7841bf80f226a 2021 ruby extra ruby-paint_0.8.5-1.dsc
 f45827608f5076c90b38012aa5f2a00b 17917 ruby extra ruby-paint_0.8.5.orig.tar.gz
 c1eafc6f09d51f8f6eff1d1ff0c29f17 2277 ruby extra ruby-paint_0.8.5-1.debian.tar.gz
 481639c43d93bb9c7d3bdfc2a9411b4b 18146 ruby extra ruby-paint_0.8.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRJ2tmAAoJENpJWPYR4UnpyWgQAIuLg9hcx7AyJNK81hv6GlNf
5gqlZCh9SOrYk2fQUSDp0exGR9ebKq6ysMa+OPObYGQ6pFPwmiXVrl15+druAsVc
TzwFls8OwPfwwbiaHmHG17aCyX4MSDj7WSN+pvrwXeOR/MMvS6E5fvqaVZDFCaOA
FPKQiSaVBY2tyCWBUwREWLhyep8VtnAsOc3ZBlav40C8Ipd3kwO9r6KRvo3xpz8+
p4q7rJLgpkfWd/IwueTclYEFTsuUhkbybpycDqtlBmJi8xrsNKi5W6XwhSPncXGE
vGF/IsSNvSctE8zj71s+jaRM1xkxngBndXutMvoEJ6XfUwNyc6LAJ/RrbdyzkQVW
nGImBgNgjR8BzH6gG2fNZbRm3+Xc/BeQuhWumAKOESEzVo5OLda/Zkbq8C/l1IBd
kue/PvqT9xOag0SWa6PBjpV1emGrLhsQvCNj8/xmLv13vbpTFj9QeCCSAVfTTT3E
FQjSjxYvaS0K6rnLUKYcYb1G5/RkWJS0PIIY4U0qSiPu3k+VIDAqeyG2Pcwvxt4c
WgGAjpcrb3cb4S+GC7iWMZqQCbWTbaOL6l9uayg6TztGNwM+3UKjDioLRRM0oyIL
ahxPbIjfnmwgn7L1HCzG09g/tbdm9JPZxvcWz/ytJJiN1WLaVZSI3hqqD/xw0WW4
yf0RPvkbeHdTTbTSLOsN
=JD4M
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 May 2013 07:34:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:48:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.